System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.Serialization.CodeExporter

The class generates .NET Framework types or attribute declarations from internal mappings to .NET Framework types. These internal mappings are generated by the class for elements defined in an XSD document or as parts in a Web Services Description Language (WSDL) document. is not used directly; it is used with the Web Services Description Language tool (Wsdl.exe) or the XML Schema Definition tool (Xsd.exe).

Wsdl.exe uses the types or attribute declarations that are generated by and the internal mappings generated by the class to generate client proxy classes or abstract server classes from a WSDL document. Wsdl.exe uses and the class when a WSDL document specifies:

Literal use, indicating that the contents of SOAP message parameters and return values (or request and response documents) are literally specified with XML schema definitions.

Non-SOAP implementations of Web services using the HTTP-GET and HTTP-POST operations.

Xsd.exe uses to generate classes from XML Schema Definition (XSD) documents.

Generates types and attribute declarations from internal type mapping information for XML schema element declarations.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Instead of creating an instance of the class directly, use the Web Services Description Language tool (Wsdl.exe) or the XML Schema Definition tool (Xsd.exe).

  Initializes a new instance of the class using the specified namespace.

  The namespace of the types to generate.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Instead of creating an instance of the class directly, use the Web Services Description Language tool (Wsdl.exe) or the XML Schema Definition tool (Xsd.exe).

  Initializes a new instance of the class using the specified namespace and code compile unit.

  The namespace of the types to generate.
  A CodeDOM graph container to which used assembly references are automatically added.
- Constructor
  2.0.0.0
  4.0.0.0

  Instead of creating an instance of the class directly, use the Web Services Description Language tool (Wsdl.exe) or the XML Schema Definition tool (Xsd.exe).

  Initializes a new instance of the class using the specified namespace, code compile unit, and code generation options.

  The namespace of the types to generate.
  A program graph container to which used assembly references are automatically added.
  An enumeration value that provides options for generating .NET Framework types from XML schema custom data types.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified .NET Framework namespace, code compile unit containing the graph of the objects, an object representing code generation options, and a collection of mapping objects.

  The namespace of the types to generate.
  A program graph container to which used assembly references are automatically added.
  An enumeration value that provides options for generating .NET Framework types from XML schema custom data types.
  A that contains objects.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified .NET Framework namespace, code compile unit containing the graph of the objects, an enumeration specifying code options, and a collection of mapping objects.

  The namespace of the types to generate.
  A program graph container to which used assembly references are automatically added.
  An enumeration value that provides options for generating .NET Framework types from XML schema custom data types.
  A that contains special instructions for code creation.
  A that contains objects.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is used by the Web Services Description Language tool (Wsdl.exe) when a WSDL document specifies literal use, indicating that the contents of SOAP message parameters and return values (or request and response documents) are literally specified with XML schema definitions.

  Adds an declaration to a method parameter or return value that corresponds to a <part> element of a SOAP message definition in a Web Services Description Language (WSDL) document.

  The collection of objects for the generated type to which the method adds an attribute declaration. An internal .NET Framework type mapping for a single element part of a WSDL message definition. The XML namespace of the SOAP message part for which the type mapping information in the member parameter has been generated.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The Web Services Description Language tool (Wsdl.exe) uses this method when a WSDL document specifies the .NET Framework's non-SOAP implementations of Web services using the HTTP-GET and HTTP-POST operations.

  Adds an declaration to a method return value that corresponds to a <part> element of a non-SOAP message definition in a Web Services Description Language (WSDL) document.

  The collection of objects for the generated type to which the method adds an attribute declaration. The internal .NET Framework type mapping information for an XML schema element. The XML namespace of the SOAP message part for which the type mapping information in the member parameter has been generated.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The Web Services Description Language tool (Wsdl.exe) uses this method when a WSDL document specifies literal use, indicating that the contents of SOAP message parameters and return values (or request and response documents) are literally specified with XML schema definitions.

  Adds an declaration to a method parameter or return value that corresponds to a <part> element of a SOAP message definition in a Web Services Description Language (WSDL) document.

  The collection of objects for the generated type to which the method adds an attribute declaration. An internal .NET Framework type mapping for a single element part of a WSDL message definition. The XML namespace of the SOAP message part for which the type mapping information in the member parameter has been generated. Flag that helps determine whether to add an initial argument containing the XML element name for the attribute declaration being generated.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The Web Services Description Language tool (Wsdl.exe) uses this method when a WSDL document specifies literal use, indicating that the contents of SOAP message parameters and return values (or request and response documents) are literally specified with XML schema definitions.

  Generates a .NET Framework type, plus attribute declarations, for each of the parts that belong to a SOAP message definition in a Web Services Description Language (WSDL) document.

  The internal .NET Framework type mappings for the element parts of a WSDL message definition.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The Web Services Description Language tool (Wsdl.exe) uses this method to generate SOAP message headers and return types when a Web Services Description Language (WSDL) document specifies non-SOAP implementations of Web services using the HTTP-GET and HTTP-POST operations. The XML Schema Definition tool (Xsd.exe) uses this method to generate each of the XML schema element declarations in an XML Schema Definition (XSD) document.

  Generates a .NET Framework type, plus attribute declarations, for an XML schema element.

  The internal .NET Framework type mapping information for an XML schema element.
- Property
  System.CodeDom.CodeAttributeDeclarationCollection To be added To be added: an object of type 'System.CodeDom.CodeAttributeDeclarationCollection' To be added 1.0.5000.0 2.0.0.0